<?

include("../Librerias/ConfNivel2.inc");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();  

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

$Formulario=new Formulario();

//FEncabezado($Nivel);

/*Obtenemos los valores por get*/ 

$tags2 = array_keys($_GET); // obtiene los nombres de las variables

$valores2 = array_values($_GET);// obtiene los valores de las variables

$i=0;

foreach ($_GET as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

  <html xmlns="http://www.w3.org/1999/xhtml">

    <head> 

		<meta name="viewport" content="width=device-width, initial-scale=1, charset=ISO-8859-1">

		<link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>bootstrap/css/bootstrap.css">    

         <?

	   if ($_JQuery == 1)

echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';

else

echo '<script src="'.$Nivel.'bootstrap/js/jquery.min.js"></script>';

 echo "<link rel='stylesheet' type='text/css' media='all' href='".$Nivel."Scripts/calendar-blue.css' title='win2k-1' />";

        echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar.js'></script>";

        echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar-es.js'></script>";

        echo "<script type='text/javascript' src='".$Nivel."Scripts/funcionescalendario.js'></script>";

        echo "<script language='javascript'>var actual='$FechaActual';</script>";	

	   ?>

        <script src="<? echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>

        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">

        <script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>

        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/tagging/css/amsify.suggestags.css">

<!-- Amsify Plugin -->

<script type="text/javascript" src="<? echo $Nivel ?>Librerias/tagging/js/jquery.amsify.suggestags.js"></script>       

        <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/chosen.css">

				 <style type="text/css" media="all">

				     .chosen-rtl .chosen-drop { left: -1000px; }

                  </style>

                   <style>

               #mdialTamanio{

                 width: 60% !important;

                   }			

			/*	   .btn-file input[type=file] {

        position: absolute;

        top: 0;

        right: 0;

        min-width: 100%;

        min-height: 100%;

        font-size: 100px;

        text-align: right;

        filter: alpha(opacity=0);

        opacity: 0;

        outline: none;

        background: white;

        cursor: inherit;

        display: block;

    }*/

	#lightbox .modal-content {

    display: inline-block;

    text-align: center;   

}

#lightbox .close {

    opacity: 1;

    color: rgb(255, 255, 255);

    background-color: rgb(25, 25, 25);

    padding: 5px 8px;

    border-radius: 30px;

    border: 2px solid rgb(255, 255, 255);

    position: absolute;

    top: -15px;

    right: -55px;

    z-index:1032;

}		 

             </style>             

		<title>Agregar Archivos</title>        

	</head>

	<body style="padding-top: 60px;">

<?

$IdCanto = $_GET["IdCanto"];

$IdArchivo = $_GET["IdArchivo"];

if (empty($IdCanto))

$IdCanto = 0;

if (empty($IdArchivo))

$IdArchivo = 0;

include $Nivel."menu1.php";  

$RowCan = $Conexion->MSelectRegistro("SELECT Titulo from cantos where IdCanto = ".$IdCanto);

$RowArch = $Conexion->MSelectRegistro("SELECT * FROM archivos where IdArchivo = ".$IdArchivo);

?>

<ul class="nav nav-tabs">

  <li><a href="Videos.php?IdCanto=<? echo $IdCanto ?>">Videos</a></li>

  <li class="active"><a href="SubirArchivos.php?IdCanto=<? echo $IdCanto ?>">Subir Archivos</a></li>

</ul>

<div class="container">

<div class="panel panel-primary sombras">   

     <div class="titulo"><strong><i class="fa fa-music" aria-hidden="true"></i> Subir archivo del canto: <? echo $RowCan["Titulo"]?></strong></div>     

   <div class="row" style="margin-left: 10px; margin-right: 10px; margin-top:10px; margin-bottom:10px">

  <form id="Formulario" name="Formulario" method="Post" action="AccionSubirArchivos.php" enctype="multipart/form-data" role="form">    

    <input name="IdCanto" type="hidden" id="IdCanto" value="<?php echo $IdCanto?>" />

     <input name="IdArchivo" type="hidden" id="IdArchivo" value="<?php echo $IdArchivo?>" />

    <input name="Accion" type="hidden" value="" />     

      <div class="form-group col-md-6"> 

       <label for="Autor" class="col-md-4 control-label">Autor *</label>	

       <?php        

		$Formulario->MInputTexto("Autor",$RowArch["Autor"],40,45,4,'Placeholder = "Autor del archivo"',"form-control"); 

		?>

      </div>

       <div class="form-group col-md-6"> 

        <label for="Comentario" class="col-md-4 control-label" >Comentario </label>				

         <?php        

		$Formulario->MInputTexto("Comentario",$RowArch["Comentario"],40,255,4,'Placeholder = "Comentario"',"form-control"); ?>

      </div>

      <div class="form-group col-md-6">    		

         <label for="Tipo" class="col-md-4 control-label">Tipo *</label>

	     <?php  

		if ($RowArch)

		 $Seleccionado = $RowArch["Tipo"];		

		 $Vector =array("AUDIO" =>1, "VIDEO"=>2, "PARTITURA"=>3);

	     $Formulario->MSelectArray("Tipo", $Vector,$Seleccionado, "","Elija el Tipo de archivo","form-control"); 

		 ?>

      </div>       

      <div class="form-group col-md-6">    

		<label for="Formato" class="col-md-4 control-label">Formato *</label>

	     <?php  		 

		if ($RowArch)

		 $Seleccionado = $RowArch["Formato"];		

		 $Vector =array("AVI" =>1, "MP4"=>2, "MKV"=>3,"JPG"=>4, "PNG"=>5, "PDF"=>6, "MP3"=>7 );

	     $Formulario->MSelectArray("Formato", $Vector,$Seleccionado, "","Elija el Formato del archivo","form-control"); 

		 ?>		         

      </div>       

        <div class="form-group col-md-12"> 

  <label class="btn btn-default btn-file col-md-4">

 Elija el archivo <input type="file" id="Archivo" name="Archivo"> 

 </label>

  </div> 

  <div class="form-group col-md-12" align="center">

  <fieldset>

  <i> tama&ntilde;o m&aacute;ximo: 8 mb.</i>

  </fieldset>

 </div>                        

    <div class="form-group col-sm-12">          

        <p class="form-control-static" align="center">*Los campos marcados con asteriscos son obligatorios </p>        

      </div>

      <div class="form-group col-sm-12">  

       <div class="col-sm-12 col-12 text-center" >

        <?php

		 $Formulario->MLinkBoton("CatCantos.php?IdCanto=".$IdCanto, " Regresar","btn btn-info btn3d","fa fa-arrow-left");

			//echo '&nbsp;';

	if ($IdArchivo){  

			$EventoM='Actualiza()';

			$EventoE='Elimina()';

			$Formulario->MBotonScript('Actualizar','Actualizar',$EventoM,"btn btn-primary btn3d", "glyphicon glyphicon-pencil");

			//echo '&nbsp;';

			$Formulario->MBotonScript('Eliminar','Eliminar',$EventoE,"btn btn-danger btn3d","glyphicon glyphicon-remove");

			//echo '<b>&nbsp;';  

			//echo '<a href="Localidades.php" class="btn btn-success"><i class="fa fa-plus" aria-hidden="true"></i> NUEVA LOCALIDAD</a>&nbsp;';

			$Formulario->MLinkBoton("SubirArchivos.php?IdCanto=".$IdCanto, " Nuevo Archivo","btn btn-success btn3d","fa fa-plus");

    }

    else{

		   $EventoG='Guarda()';

		   $Formulario->MBotonScript("Guardar",'Guardar',$EventoG,"btn btn-primary btn3d","fa fa-floppy-o");

			//echo '<b>&nbsp;';

    }

		   ?>

      </div>

    </div>

  </form>

  </div>

  </div>

 

        <?

		$Vectors =array(1 =>"AUDIO", 2=>"VIDEO", 3=>"PARTITURA");

		//hacemos la consulta de los datos

		$consu = "SELECT archivos.IdArchivo, archivos.IdCanto, archivos.Autor, archivos.Tipo, archivos.Formato FROM archivos where archivos.IdCanto = ".$IdCanto;

		$Rowarh1=$Conexion->MVectorRegistro($consu);

		//Obtenemos el número de filas de la consulta

		$Numifilas = mysqli_num_rows($Rowarh1);

		if ($Numifilas > 0){

			?>

            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="display" id="example">

	<thead>

          <tr bgcolor="<?php echo $_CCT_GRID?>" style="cursor:pointer;color:#FFF"> 

            <td width="70%" align="center"  bgcolor="<?php echo $_CCT_GRID?>"><strong><i class="fa fa-youtube-square" aria-hidden="true"></i> Autor</strong></td>

            <td width="30%" align="center"  bgcolor="<?php echo $_CCT_GRID?>"><strong><i class="fa fa-youtube-square" aria-hidden="true"></i> Tipo</strong></td>

          </tr>

         </thead>

	<tbody>

            <?php

		while ($renglon = mysqli_fetch_array($Rowarh1)){

		  echo '<tr>';	

		  echo '<td><a href="SubirArchivos.php?IdArchivo='.$renglon["IdArchivo"].'&IdCanto='.$IdCanto.'" title="Mostrar datos">'.$renglon["Autor"].'</td>';

		   echo '<td align="center">'.$Vectors[$renglon["Tipo"]].'</td>';

		  echo '</tr>';

		}

		?> 		

	</tbody>

	<tfoot>

		<tr>

			<td></td>

			<td width="0%"></td>

		</tr>

	</tfoot>

</table>

<?php

}else

		   echo '<p class="bg-warning" align="center">No existen datos</p>';

?>	 

</div>

</div>

<div class="spacer"></div>

<div id="lightbox" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">

    <div class="modal-dialog">

        <button type="button" class="close hidden" data-dismiss="modal" aria-hidden="true">X</button>

        <div class="modal-content">

            <div class="modal-body">

                <img src="" alt="" />

            </div>

        </div>

    </div>

</div>

 <script type="text/javascript" language="javascript" src="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>    

<script type="text/javascript" language="javascript" class="init">

$(document).ready(function() {

	$('#example').dataTable( {

        "pagingType": "simple_numbers"

    } );

	

} );



$("#UsoMisa").on('change', function() {

    if( $(this).is(':checked') ) {

      $("#Momento").prop('disabled', false).trigger("chosen:updated");

    } else {

        $("#Momento").prop('disabled', 'disabled').trigger("chosen:updated");

    }

});







</script> 

<script type="text/javascript">

	$('input[name="Etiquetas"]').amsifySuggestags({

		type : 'amsify'

	});

	

</script>

<script src="<? echo $Nivel?>Librerias/multicombos/docsupport/prism.js" type="text/javascript" charset="utf-8"></script>        

    <script src="<? echo $Nivel?>Librerias/multicombos/chosen.jquery.js" type="text/javascript"></script>

<? 

    //llamamos a las funciones para las animaciones

	echo "<script type='text/javascript'>";

	echo "var config = {

      '.chosen-select'           : {},

      '.chosen-select-deselect'  : {allow_single_deselect:true},

      '.chosen-select-no-single' : {disable_search_threshold:10},

      '.chosen-select-no-results': {no_results_text:'?Sin resultados!'},

      '.chosen-select-width'     : {width:'100%'}

    }

	for (var selector in config) {

      $(selector).chosen({ width: '100%' });	  

    }";

	echo '</script>';

	?>   







<SCRIPT language="JavaScript" type="text/JavaScript">

function Elimina(){

 if(confirm("DESEA ELIMINAR EL REGISTRO?")){  

  Formulario.Accion.value='Eliminar';

  Formulario.submit();

 }

}//Fin Elimina



function Actualiza(){

if (Formulario.Autor.value=='' || Formulario.Tipo.value==''){

  alert("PROPORCIONE DATOS REQUERIDOS");

 } else {  

  Formulario.Accion.value='Actualizar';

  Formulario.submit();

 }

}//Fin Modifica

//////////////////////////////////////////////////fin



///////////////////////////////////////////////////funcion de inserción

function Guarda(){

if (Formulario.Autor.value=='' || Formulario.Tipo.value==''){

  alert("Complete los campos requeridos");

 } else {

  Formulario.Accion.value='Guardar';

  Formulario.submit();

 }

}//Fin Guarda



function validateEnter(e) {

	var key=e.keyCode || e.which;

	if (key==13){ return true; } else { return false; }

}

</script> 

